#pragma once

#include "debug.hpp"
#include "dpt.hpp"

#include <string>

namespace knx
{

template <class dpt>
class KNX_IMPORT_EXPORT data_point {
public:
    typedef typename dpt::major_type major_type;
    typedef typename major_type::set_type set_type;
    typedef typename major_type::data_type data_type;

    data_point();
    data_point(set_type value);
    std::string describe() const;
    set_type get() const;
    void set(set_type value);
private:
    data_type data;
};

template <class dpt>
KNX_IMPORT_EXPORT std::ostream & operator << (std::ostream & os, const data_point<dpt> & data_point);

}
