#include <boost/thread.hpp>

#include "debug.hpp"
#include "connection.hpp"

namespace knx {

/**
 * @brief thread management for connection handling
 *
 * This class handles all required background threads for asynchronous knx connection handling.
 */
class KNX_IMPORT_EXPORT handle
{
public:
    //! @brief creates new background thread
    handle(knx::connection & connection);
    //! @brief stops and joins the thread
    ~handle();
private:
    //! access to the connections
    knx::connection & connection;
    //! the main background thread
    boost::thread background;
};

}
